# EtherScore API

Partners can integrate EtherScore's reputations via the EtherScore API.

See live integrations on Etherscan and Blockscout explorers here:&#x20;

{% content-ref url="/pages/YdPWoUXEar1dA1fXr8Kp" %}
[Integrations examples](/documentation/integrations-examples.md)
{% endcontent-ref %}

To get a free API key, please reach us at <contact@onchainedlab.com> , or in [our Discord server](https://discord.gg/6yrKCgEgzp).

***

The EtherScore API provides comprehensive onchain reputation data for integration with Dapps or communities. The data includes various user metrics, such as:

* **User Profile:**
  * Verification status with a verified badge icon
  * User tier and rank, with associated images
  * Badge statistics, including maximum and user-minted badge counts
* **Latest User Attestation:**
  * Recently attested badge count and tier
* **Additional Information:**
  * Profile URL linked to the user's wallet address
  * Tooltips providing guidance on badges and tiers

```
{
	success: true,
	data: {
			user_metrics: {
				user_profile: {
					verified: "Verified",
					verified_image: "<server>/images/icons/Avatar_Check_Verified_Icon.svg",
					tier_image: "<server>/images/reputationTiers/<user_tier>.png",
					max_badge_count: <current max count of badges>,
					user_badge_count: <current user-minted count of badges>,
					user_rank: <current user rank>,
					user_tier: <current user tier>,
					user_badge_percentage: <user_badge_count / max_badge_count>,
				},
				latest_user_attestation: {
					tier_image: "<server>/images/reputationTiers/<user_tier>.png",
					max_badge_count: <lastly attested max count of badges>,
					user_badge_count: <lastly attested user-minted count of badges>,
					user_rank: <lastly attested user rank>,
					user_tier: <lastly attested user tier>
				},
				profile_url: <server>/<wallet address>,
				tooltip_badges: “tooltip text for badges”,
				tooltip_tiers: “tooltip text for tiers”,
			}
		}
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.etherscore.network/faq-for-builders/etherscore-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
